---
title: "Returns a randomly generated UUID v4."
url: "https://developer.rucho.org/apis/rucho/versions/5bdf1bcb-8db4-40f1-a293-72c7198e26c8/operations/uuid_handler"
---

> Full API specification: https://developer.rucho.org/apis/rucho/versions/5bdf1bcb-8db4-40f1-a293-72c7198e26c8.md

# Returns a randomly generated UUID v4.

`GET` `/uuid`

Operation ID: `uuid_handler`

Generates a new random UUID (Universally Unique Identifier) using the v4 algorithm. Useful for generating unique identifiers for testing purposes. # HTTP Method: - `GET` # Responses: - `200 OK`: Returns a JSON object containing the generated UUID.

## Responses

- `200` - Returns a randomly generated UUID

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: rucho
  version: 1.6.0
servers:
  - url: https://rucho.org
    description: Production (EKS us-east-2, behind Kong)
paths:
  /uuid:
    get:
      tags:
        - crate::routes::core_routes
      summary: Returns a randomly generated UUID v4.
      description: >-
        Generates a new random UUID (Universally Unique Identifier) using the v4
        algorithm.

        Useful for generating unique identifiers for testing purposes.


        # HTTP Method:

        - `GET`


        # Responses:

        - `200 OK`: Returns a JSON object containing the generated UUID.
      operationId: uuid_handler
      responses:
        "200":
          description: Returns a randomly generated UUID
          content:
            application/json:
              schema: {}
```
